Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface Navigator

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface Navigator

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Navigator'.

The following features are supported:

- `Content Extension ID`
- `Content Extension Name`
- `Content Extension Priority`
- `Content Provider Class Name`
- `Label Provider Class Name`

See Also:
  `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getNavigator()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getContentExtensionID()` Returns the value of the 'Content Extension ID' attribute
`java.lang.String` `getContentExtensionName()` Returns the value of the 'Content Extension Name' attribute
`java.lang.String` `getContentExtensionPriority()` Returns the value of the 'Content Extension Priority' attribute
`java.lang.String` `getContentProviderClassName()` Returns the value of the 'Content Provider Class Name' attribute
`java.lang.String` `getContentProviderQualifiedClassName()`
`java.lang.String` `getLabelProviderClassName()` Returns the value of the 'Label Provider Class Name' attribute
`java.lang.String` `getLabelProviderQualifiedClassName()`
`void` `setContentExtensionID(java.lang.String value)` Sets the value of the '`Content Extension ID`' attribute
`void` `setContentExtensionName(java.lang.String value)` Sets the value of the '`Content Extension Name`' attribute
`void` `setContentExtensionPriority(java.lang.String value)` Sets the value of the '`Content Extension Priority`' attribute
`void` `setContentProviderClassName(java.lang.String value)` Sets the value of the '`Content Provider Class Name`' attribute
`void` `setLabelProviderClassName(java.lang.String value)` Sets the value of the '`Label Provider Class Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContentExtensionID

    java.lang.String getContentExtensionID()

  Returns the value of the 'Content Extension ID' attribute.

  If the meaning of the 'Content Extension ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Extension ID' attribute.
  See Also:
    `setContentExtensionID(String)`, `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getNavigator_ContentExtensionID()`
  ** Generated **
  Model:

### setContentExtensionID

    void setContentExtensionID(java.lang.String value)

  Sets the value of the '`Content Extension ID`' attribute.

  Parameters:
    `value` - the new value of the 'Content Extension ID' attribute.
  See Also:
    `getContentExtensionID()`
  ** Generated **

### getContentExtensionName

    java.lang.String getContentExtensionName()

  Returns the value of the 'Content Extension Name' attribute.

  If the meaning of the 'Content Extension Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Extension Name' attribute.
  See Also:
    `setContentExtensionName(String)`, `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getNavigator_ContentExtensionName()`
  ** Generated **
  Model:

### setContentExtensionName

    void setContentExtensionName(java.lang.String value)

  Sets the value of the '`Content Extension Name`' attribute.

  Parameters:
    `value` - the new value of the 'Content Extension Name' attribute.
  See Also:
    `getContentExtensionName()`
  ** Generated **

### getContentExtensionPriority

    java.lang.String getContentExtensionPriority()

  Returns the value of the 'Content Extension Priority' attribute.

  If the meaning of the 'Content Extension Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Extension Priority' attribute.
  See Also:
    `setContentExtensionPriority(String)`, `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getNavigator_ContentExtensionPriority()`
  ** Generated **
  Model:

### setContentExtensionPriority

    void setContentExtensionPriority(java.lang.String value)

  Sets the value of the '`Content Extension Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Content Extension Priority' attribute.
  See Also:
    `getContentExtensionPriority()`
  ** Generated **

### getContentProviderClassName

    java.lang.String getContentProviderClassName()

  Returns the value of the 'Content Provider Class Name' attribute.

  If the meaning of the 'Content Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Provider Class Name' attribute.
  See Also:
    `setContentProviderClassName(String)`, `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getNavigator_ContentProviderClassName()`
  ** Generated **
  Model:

### setContentProviderClassName

    void setContentProviderClassName(java.lang.String value)

  Sets the value of the '`Content Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Content Provider Class Name' attribute.
  See Also:
    `getContentProviderClassName()`
  ** Generated **

### getLabelProviderClassName

    java.lang.String getLabelProviderClassName()

  Returns the value of the 'Label Provider Class Name' attribute.

  If the meaning of the 'Label Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label Provider Class Name' attribute.
  See Also:
    `setLabelProviderClassName(String)`, `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getNavigator_LabelProviderClassName()`
  ** Generated **
  Model:

### setLabelProviderClassName

    void setLabelProviderClassName(java.lang.String value)

  Sets the value of the '`Label Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Label Provider Class Name' attribute.
  See Also:
    `getLabelProviderClassName()`
  ** Generated **

### getContentProviderQualifiedClassName

    java.lang.String getContentProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getLabelProviderQualifiedClassName

    java.lang.String getLabelProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.